package com.agilecontrol.nea.core.control.ejb.command;

import com.agilecontrol.nea.core.control.ejb.Command;
import com.agilecontrol.nea.core.control.event.DefaultWebEvent;
import com.agilecontrol.nea.core.control.event.NDSEventException;
import com.agilecontrol.nea.core.control.util.ValueHolder;
import com.agilecontrol.nea.core.control.web.WebUtils;
import com.agilecontrol.nea.core.security.User;
import com.agilecontrol.nea.core.util.MessagesHolder;
import com.agilecontrol.nea.util.Configurations;
import com.agilecontrol.nea.util.NDSException;
import com.agilecontrol.nea.util.Tools;
import java.io.File;
import java.io.FileFilter;
import java.rmi.RemoteException;
import org.json.JSONObject;

public class DeleteCxtabFiles extends Command {

   public ValueHolder execute(DefaultWebEvent event) throws NDSException, RemoteException {
      User usr = this.helper.getOperator(event);
      int clientId = usr.getClientId();
      int orgId = usr.getOrgId();
      int uId = usr.getId().intValue();
      Configurations conf = (Configurations)WebUtils.getServletContextManager().getActor("nea.configs");
      String svrPath = conf.getProperty("export.root.nds", "/aic/home") + File.separator + usr.getClientDomain() + File.separator + usr.getId();

      try {
         int e = Tools.getInt(event.getParameterValue("cxtabid", true), -1);
         String msg = "";
         new ValueHolder();
         JSONObject jo = new JSONObject();
         DeleteCxtabFiles.TableFilter tf = new DeleteCxtabFiles.TableFilter("CXR_" + e);
         File dir = new File(svrPath);
         File[] files = dir.listFiles(tf);
         if(files != null) {
            for(int v = 0; v < files.length; ++v) {
               File file = files[v];
               File desc = new File(svrPath + File.separator + "desc" + File.separator + file.getName());
               if(file.delete()) {
                  desc.delete();
               }
            }
         }

         msg = MessagesHolder.getInstance().translateMessage("complete", event.getLocale());
         jo.put("message", msg);
         ValueHolder var19 = new ValueHolder();
         var19.put("data", jo);
         return var19;
      } catch (Throwable var18) {
         this.logger.error("", var18);
         if(!(var18 instanceof NDSException)) {
            throw new NDSEventException("异常", var18);
         } else {
            throw (NDSException)var18;
         }
      }
   }

   class TableFilter implements FileFilter {

      private String prefix;


      public TableFilter(String pre) {
         this.prefix = pre;
      }

      public boolean accept(File pathname) {
         return pathname.getName().startsWith(this.prefix);
      }
   }
}
